package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRole;
import com.sa.ibiz.demo.demo.service.dto.UserRoleSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRole] 服务对象接口
 */
public interface UserRoleService extends IService<UserRole>{

	boolean checkKey(UserRole et);
	boolean update(UserRole et);
	boolean getDraft(UserRole et);
		UserRole get(UserRole et);
	boolean remove(UserRole et);
	boolean create(UserRole et);
    List<UserRole> listDefault(UserRoleSearchFilter filter) ;
	Page<UserRole> searchDefault(UserRoleSearchFilter filter);
	/**	 实体[UserRole] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }